Переполнение буфера в NeoTrace Express/Pro ActiveX компоненте

Дата публикации:
26.12.2006
Дата изменения:
02.11.2007
Всего просмотров:
1935
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NeoTrace Pro 3.x
NeoTrace Express 3.x
Уязвимые версии:
NeoTrace Express 3.25, возможно более ранние версии
NeoTrace Pro/McAfee Visual Trace 3.25, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в NeoTraceExplorer.NeoTraceLoader ActiveX кодмпоненте (NeoTraceExplorer.dll) при создании командной строки, используемой для вызова приложения NeoTrace. Удаленный пользователь может передать методу "TraceTarget()" в качестве аргумента слишком длинную строку (около 500 байт), вызвать переполнение стека и выполнить произвольный код на целевой системе.

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: NeoTracePro 3.25 ActiveX TraceTarget() Remote BoF Exploit

или введите имя

CAPTCHA